mscorlib 2.0.0.0 4.0.0.0 System.Security.AccessControl.AccessRule To be added.

Represents an access rule for a cryptographic key. An access rule represents a combination of a user's identity, an access mask, and an access control type (allow or deny). An access rule object also contains information about the how the rule is inherited by child objects and how that inheritance is propagated.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class using the specified values.

  The identity to which the access rule applies. This parameter must be an object that can be cast as a .
  The cryptographic key operation to which this access rule controls access.
  The valid access control type.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class using the specified values.

  The identity to which the access rule applies.
  The cryptographic key operation to which this access rule controls access.
  The valid access control type.
- Property
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.CryptoKeyRights To be added. To be added.

  Gets the cryptographic key operation to which this access rule controls access.